Version File Reference
`#include <osgManipulator/Export>`

Go to the source code of this file.

## Macros

#define | OSGMANIPULATOR_VERSION 1

## Functions

OSGMANIPULATOR_EXPORT const char * | osgManipulatorGetVersion ()
OSGMANIPULATOR_EXPORT const char * | osgManipulatorGetLibraryName ()

## Macro Definition Documentation

## OSGMANIPULATOR_VERSION

#define OSGMANIPULATOR_VERSION 1

## Function Documentation

## osgManipulatorGetLibraryName()

OSGMANIPULATOR_EXPORT const char * osgManipulatorGetLibraryName | ( |  | ) |

extern

osgManipulatorGetLibraryName() returns the library name in human friendly form.

References OSGMANIPULATOR_EXPORT.

## osgManipulatorGetVersion()

OSGMANIPULATOR_EXPORT const char * osgManipulatorGetVersion | ( |  | ) |

extern

osgManipulatorGetVersion() returns the library version number. Numbering convention : OpenSceneGraph-1.0 will return 1.0 from osgManipulatorGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

    #
    # Check for the OpenSceneGraph (OSG) Manipulator library
    #
    AC_CHECK_LIB(osg, osgManipulatorGetVersion, ,
       [AC_MSG_ERROR(OpenSceneGraph Manipulator library not found. See http://www.openscenegraph.org)],)

References OSGMANIPULATOR_EXPORT.